happstack-server-7.1.7: Web related tools and services.

Safe Haskell | None

Happstack.Server.Internal.TimeoutSocket

Description

- - borrowed from snap-server. Check there periodically for updates.

# Documentation

sPutLazyTickle :: Handle -> Socket -> ByteString -> IO ()

sPutTickle :: Handle -> Socket -> ByteString -> IO ()

sGetContents

Arguments

:: Handle |
-> Socket | Connected socket
-> IO ByteString | Data received

sendFileTickle :: Handle -> Socket -> FilePath -> Offset -> ByteCount -> IO ()

iterTickle :: Handle -> IO Iter -> IO ()

timeoutSocketIO :: Handle -> Socket -> TimeoutIO